<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="obj_reservation.xsd"/>
<xsd:include schemaLocation="obj_repeated.xsd"/>

	<xsd:element name="TERMINATE_RES"/>
	<xsd:element name="TERMINATE_MEETING_ROOM"/>
  <xsd:element name="TERMINATE_CONFERENCE_TEMPLATE"/>
	<xsd:element name="TERMINATE_PROFILE"/>
	<xsd:element name="CANCEL_REPEATED"/>
	<xsd:element name="AWAKE_MEETING_ROOM"/>
  <xsd:element name="AWAKE_CONFERENCE_TEMPLATE"/>
	<xsd:element name="LOGIN"  type="LoginResponseContent"/>
	<xsd:element name="SET_DEFAULT_EQ"/>
	<xsd:element name="CANCEL_DEFAULT_EQ"/>


	<xsd:element name="RESPONSE_TRANS_RES">
        <xsd:complexType>
		    <xsd:sequence>
				<xsd:element ref="RETURN_STATUS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET_RES"/>							
			<xsd:element ref="GET_MEETING_ROOM"/>
      <xsd:element ref="GET_CONFERENCE_TEMPLATE"/>
			<xsd:element ref="CANCEL_REPEATED"/>					
			<xsd:element ref="START_REPEATED"/>						<!--not supported-->
			<xsd:element ref="START"/>
			<xsd:element ref="UPDATE"/>
			<xsd:element ref="TERMINATE_RES"/>						<!--not supported-->
			<xsd:element ref="TERMINATE_MEETING_ROOM"/>
      <xsd:element ref="TERMINATE_CONFERENCE_TEMPLATE"/>
			<xsd:element ref="TERMINATE_PROFILE"/>
			<xsd:element ref="LOGIN_START"/>						<!--not supported-->
			<xsd:element ref="GET_DOUBLE_BOOKING"/>					<!--not supported-->
			<xsd:element ref="GET_PERIOD_PARTY_LIST"/>				<!--not supported-->
			<xsd:element ref="GET_PROFILE"/>
			<xsd:element ref="AWAKE_MEETING_ROOM"/>					<!--not supported-->
      <xsd:element ref="AWAKE_CONFERENCE_TEMPLATE"/>      <!--not supported-->
			<xsd:element ref="START_REPEATED_EX"/>
			<xsd:element ref="SET_DEFAULT_EQ"/>
			<xsd:element ref="CANCEL_DEFAULT_EQ"/>			
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="GET_RES">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RESERVATION" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_MEETING_ROOM">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RESERVATION" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

  <xsd:element name="GET_CONFERENCE_TEMPLATE">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="RESERVATION" minOccurs="0"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>

	<xsd:element name="GET_PROFILE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RESERVATION" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="START">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RESERVATION" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>
	
	<xsd:element name="LOGIN_START">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="LOGIN" minOccurs="0"/><!--not relevant for internal xml-->
				<xsd:element ref="RESERVATION" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>		

	<xsd:element name="UPDATE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RESERVATION" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="START_REPEATED">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RECURRENCE_LIST" minOccurs="0"/>
				<xsd:element ref="RESERVATION" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="START_REPEATED_EX">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RECURRENCE_LIST" minOccurs="0"/>
				<xsd:element ref="RESERVATION" minOccurs="0"/>
				<xsd:element ref="OCCUR_NUM" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_DOUBLE_BOOKING">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element  ref="PARTY_BOOKED_LIST" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_PERIOD_PARTY_LIST">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RESERVED_BOOKED_PARTY" minOccurs="0" maxOccurs="unbounded"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

</xsd:schema>
